[gridengine users] 3rd party 'qtcsh' build failing on son-of-gridengine?

Dave Love d.love at liverpool.ac.uk
Mon Nov 28 17:12:51 UTC 2011


Pirmin Fix <pirmin.fix at desy.de> writes:

> Hi,
>
> I ran into the same issue a few days ago. For me installing
> termcap-devel solved the issue, but as I compiled the package under
> Scientific Linux 5 32 bit I cannot promise it will work.
>
> I compiled a quite lenghty dependency list for SoGE and the Univa
> sources from github as I could only spread out hints on many sources
> what you really need to compile. But it lists only SL5/6 packages.

Any additions to list in
http://arc.liv.ac.uk/trac/SGE/browser/sge/source/README.BUILD (which I'm
sure needs tidying up) would be welcome.  However, on your systems the
build dependencies in the spec file should do the trick.  Are they
incomplete, or are you not building RPMs for some reason?

Actually, I remember the RPMs are incomplete but only because there
aren't packages for some of the dependencies.  I think that only
involves the GUI installer and hadoop stuff, and actually hadoop is
externally packaged now.  Any suggestions from RPM experts on how best
to handle the GUI installer dependencies (on IzPack, at least) would be
welcome.


More information about the users mailing list